<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
  <title>fwConfigs: Archiving Config Panel</title>
  <meta http-equiv="Content-Type"
 content="text/html; charset=iso-8859-1">
</head>
<body>
<p>&nbsp;</p>
<table border="1" width="95%">
  <tbody>
    <tr valign="top">
      <td bgcolor="#00cc00" width="22%"><strong>Panel Name</strong></td>
      <td colspan="2" width="78%">
      <p>fwArchiveConfigPopup.pnl</p>
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Introduction<br>
      </strong></td>
      <td colspan="2">
      <p>This panel is used to set up the archiving configuration for one or
        many data point elements. If the panel is used for just one data point
        element at a time, the panel shows the
        current state of the archiving config when loaded.</p>
      <p>The user can choose which archive class to archive the data with and
        also choose from the standard PVSS archive smoothing options.</p></td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Instructions</strong></td>
      <td colspan="2"><p>When configuring the archiving for a data point element
          (or elements) you should first check the &quot;Configure&quot; check box. Then
          the archiving options will appear.</p>
        <p>Next, choose an Archive Class from the drop down list. (You can check
          or modify the parameterisation of the chosen archive class by clicking
          on the &quot;Parameterize...&quot; button next to the archive class drop down
          list). The panel shows some statistics on the archive class on the
          right hand side of the panel, such as state and information about the
          number of data point elements currently being archived. You may refresh
          this data by pressing the &quot;Refresh&quot; button.</p>
        <p>If you require archive smoothing, check the &quot;With Smoothing&quot; check
          box. Then the smoothing options will appear. Select the required smoothing
          method from the list. Then, if required by the chosen method, you may
          need to enter a time period and/or a deadband value. Note that you
          can view the time period in seconds only by checking the &quot;Time in Seconds&quot;
          check box. Also, you can use a relative deadband value checking the
          &quot;Relative value&quot; check box.</p>
        <p>Finally, if you want the archiving configuration to be active, make
          sure that the &quot;Archiving ON&quot; checkbox is checked. If you uncheck this,
          then the archive configuration will be stored but the archiving will
          not operate. Then press OK or Apply to save the configuration.</p>
        <p>To delete the archiving configuration on the data point element(s),
          uncheck the &quot;Configure&quot; check box and then press either OK or Apply.</p>
        <p>To view and modify the current status or all archives, press the &quot;Database
          Configuration&quot; button.</p></td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Restrictions</strong></td>
      <td colspan="2"><p>Not all smoothing methods are available for types of data
          point element. Integer, unsigned and float data point elements support
          all the method. All the other types do not support smoothing methods
          that use a deadband.</p>
        <p>If you load the panel for a collection of data point elements, the
          panel will show only the smoothing options that can be applied to all
          the current elements. So, for example, if the panel is used to configure
          a float element and a boolean element, the deadband smoothing methods
          will not be shown because the boolean data point element does not support
          them. You can press the
          &quot;Select Elements&quot; buttons to choose which data point elements
          to configure from the list that was passed to the panel.<br>
        </p></td>
    </tr>
  </tbody>
</table>
<p>&nbsp;</p>
<table width="647" height="443" border="0" align="center">
  <tbody>
    <tr>
      <td>
        <div align="center"><img
 src="fwArchiveConfig.jpg" alt="Panel screenshot" width="647" height="443" style="width: 647px; height: 443px;"></div>
      </td>
    </tr>
  </tbody>
</table>
<p>&nbsp;</p>
<p>&nbsp;</p>
<table border="1" width="95%">
  <tbody>
    <tr bgcolor="#00cc00">
      <td colspan="3"><strong>Dollar Parameters</strong></td>
    </tr>
    <tr bgcolor="#00cc00">
      <td width="23%"><strong>Name</strong></td>
      <td width="62%"><strong>Description</strong></td>
      <td width="15%">&nbsp;</td>
    </tr>
    <tr>
      <td>$sDpe</td>
      <td><p>The name of the data point element(s) to configure.</p>
        <p>If you wish to use the panel for multiple data point elements, you
          should pass a list in the same format as the PVSS dyn_string, i.e.dpe1
          | dpe2 | dpe3<br>
        </p></td>
      <td>Required</td>
    </tr>
  </tbody>
</table>
<br>
</body>
</html>
